Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.expr
Interface XPathFactory

All Known Implementing Classes:
  DefaultXPathFactory

public interface XPathFactory

Method Summary
`LocationPath` | `createAbsoluteLocationPath()`
`BinaryExpr` | `createAdditiveExpr(Expr lhs, Expr rhs, int additiveOperator)`
`Step` | `createAllNodeStep(int axis)`
`BinaryExpr` | `createAndExpr(Expr lhs, Expr rhs)`
`Step` | `createCommentNodeStep(int axis)`
`BinaryExpr` | `createEqualityExpr(Expr lhs, Expr rhs, int equalityOperator)`
`FilterExpr` | `createFilterExpr(Expr expr)`
`FunctionCallExpr` | `createFunctionCallExpr(String prefix, String functionName)`
`LiteralExpr` | `createLiteralExpr(String literal)`
`BinaryExpr` | `createMultiplicativeExpr(Expr lhs, Expr rhs, int multiplicativeOperator)`
`Step` | `createNameStep(int axis, String prefix, String localName)`
`NumberExpr` | `createNumberExpr(double number)`
`NumberExpr` | `createNumberExpr(int number)`
`BinaryExpr` | `createOrExpr(Expr lhs, Expr rhs)`
`PathExpr` | `createPathExpr(FilterExpr filterExpr, LocationPath locationPath)`
`Predicate` | `createPredicate(Expr predicateExpr)`
`PredicateSet` | `createPredicateSet()`
`Step` | `createProcessingInstructionNodeStep(int axis, String name)`
`BinaryExpr` | `createRelationalExpr(Expr lhs, Expr rhs, int relationalOperator)`
`LocationPath` | `createRelativeLocationPath()`
`Step` | `createTextNodeStep(int axis)`
`Expr` | `createUnaryExpr(Expr expr, int unaryOperator)`
`UnionExpr` | `createUnionExpr(Expr lhs, Expr rhs)`
`VariableReferenceExpr` | `createVariableReferenceExpr(String prefix, String variableName)`
`XPathExpr` | `createXPath(Expr rootExpr)`

Method Detail

### createXPath

    public XPathExpr createXPath(Expr rootExpr)
                          throws JaxenException

  Throws:
    `JaxenException`

### createPathExpr

    public PathExpr createPathExpr(FilterExpr filterExpr,
                                   LocationPath locationPath)
                            throws JaxenException

  Throws:
    `JaxenException`

### createRelativeLocationPath

    public LocationPath createRelativeLocationPath()
                                            throws JaxenException

  Throws:
    `JaxenException`

### createAbsoluteLocationPath

    public LocationPath createAbsoluteLocationPath()
                                            throws JaxenException

  Throws:
    `JaxenException`

### createOrExpr

    public BinaryExpr createOrExpr(Expr lhs,
                                   Expr rhs)
                            throws JaxenException

  Throws:
    `JaxenException`

### createAndExpr

    public BinaryExpr createAndExpr(Expr lhs,
                                    Expr rhs)
                             throws JaxenException

  Throws:
    `JaxenException`

### createEqualityExpr

    public BinaryExpr createEqualityExpr(Expr lhs,
                                         Expr rhs,
                                         int equalityOperator)
                                  throws JaxenException

  Throws:
    `JaxenException`

### createRelationalExpr

    public BinaryExpr createRelationalExpr(Expr lhs,
                                           Expr rhs,
                                           int relationalOperator)
                                    throws JaxenException

  Throws:
    `JaxenException`

### createAdditiveExpr

    public BinaryExpr createAdditiveExpr(Expr lhs,
                                         Expr rhs,
                                         int additiveOperator)
                                  throws JaxenException

  Throws:
    `JaxenException`

### createMultiplicativeExpr

    public BinaryExpr createMultiplicativeExpr(Expr lhs,
                                               Expr rhs,
                                               int multiplicativeOperator)
                                        throws JaxenException

  Throws:
    `JaxenException`

### createUnaryExpr

    public Expr createUnaryExpr(Expr expr,
                                int unaryOperator)
                         throws JaxenException

  Throws:
    `JaxenException`

### createUnionExpr

    public UnionExpr createUnionExpr(Expr lhs,
                                     Expr rhs)
                              throws JaxenException

  Throws:
    `JaxenException`

### createFilterExpr

    public FilterExpr createFilterExpr(Expr expr)
                                throws JaxenException

  Throws:
    `JaxenException`

### createFunctionCallExpr

    public FunctionCallExpr createFunctionCallExpr(String prefix,
                                                   String functionName)
                                            throws JaxenException

  Throws:
    `JaxenException`

### createNumberExpr

    public NumberExpr createNumberExpr(int number)
                                throws JaxenException

  Throws:
    `JaxenException`

### createNumberExpr

    public NumberExpr createNumberExpr(double number)
                                throws JaxenException

  Throws:
    `JaxenException`

### createLiteralExpr

    public LiteralExpr createLiteralExpr(String literal)
                                  throws JaxenException

  Throws:
    `JaxenException`

### createVariableReferenceExpr

    public VariableReferenceExpr createVariableReferenceExpr(String prefix,
                                                             String variableName)
                                                      throws JaxenException

  Throws:
    `JaxenException`

### createNameStep

    public Step createNameStep(int axis,
                               String prefix,
                               String localName)
                        throws JaxenException

  Throws:
    `JaxenException`

### createAllNodeStep

    public Step createAllNodeStep(int axis)
                           throws JaxenException

  Throws:
    `JaxenException`

### createCommentNodeStep

    public Step createCommentNodeStep(int axis)
                               throws JaxenException

  Throws:
    `JaxenException`

### createTextNodeStep

    public Step createTextNodeStep(int axis)
                            throws JaxenException

  Throws:
    `JaxenException`

### createProcessingInstructionNodeStep

    public Step createProcessingInstructionNodeStep(int axis,
                                                    String name)
                                             throws JaxenException

  Throws:
    `JaxenException`

### createPredicate

    public Predicate createPredicate(Expr predicateExpr)
                              throws JaxenException

  Throws:
    `JaxenException`

### createPredicateSet

    public PredicateSet createPredicateSet()
                                    throws JaxenException

  Throws:
    `JaxenException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.